%global commit          625eb2864605588b4ffa0562fe8cf06b17395a6b
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global snapshotdate    20190311

Name:       libquentier
Summary:    Set of Qt/C++ APIs for feature rich desktop clients for Evernote service 
Version:    0.4.0
Release:    0.9.%{snapshotdate}git%{shortcommit}%{?dist}

License:    GPLv3 or LGPLv3
URL:        https://github.com/d1vanov/libquentier
Source0:    %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

Patch0:     libquentier-4ce8e3b-fix_translations_install.patch

ExclusiveArch: %{qt5_qtwebengine_arches}

BuildRequires: cmake
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Network)
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Xml)
BuildRequires: cmake(Qt5Xml)
BuildRequires: cmake(Qt5Sql)
BuildRequires: cmake(Qt5Test)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5WebEngine)
BuildRequires: cmake(Qt5WebEngineCore)
BuildRequires: cmake(Qt5WebEngineWidgets)
BuildRequires: cmake(Qt5WebSockets)
BuildRequires: cmake(Qt5WebChannel)
BuildRequires: cmake(libxml2)
BuildRequires: cmake(QEverCloud-qt5)
BuildRequires: cmake(Qt5Keychain)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(openssl)
BuildRequires: boost-devel
BuildRequires: libtidy-devel
BuildRequires: doxygen
BuildRequires: graphviz


%description
This library presents a set of Qt/C++ APIs useful for applications working as 
feature rich desktop clients for Evernote service. The most important and 
useful components of the library are the following:

 - Local storage - persistence of data downloaded from Evernote service in 
   a local SQLite database
 - Synchronization - the logics of exchanging new and/or modified data 
   with Evernote service
 - Note editor - the UI component capable for notes displaying and editing

The library is based on the lower level functionality provided by QEverCloud 
library. It also serves as the functional core of Quentier application.


%package devel
Summary:       Headers files for developing with %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for developing applications that use %{name}.


%package doc
Summary: Documentation for %{name}

%description doc
%{summary}.


%prep
%autosetup -p1 -n %{name}-%{commit}


%build
mkdir build && cd build
%cmake ../  -DUSE_QT5=1 \
            -DCMAKE_INSTALL_LIBDIR=%{_qt5_libdir} \
            -DQt5_LUPDATE_EXECUTABLE=%{_bindir}/lupdate-qt5 \
            -DQt5_LRELEASE_EXECUTABLE=%{_bindir}/lrelease-qt5
%make_build
make lupdate
make lrelease
make doc


%install
cd build
%make_install

mkdir -p %{buildroot}%{_qt5_docdir}/%{name}
cp -aR doc/html/* %{buildroot}%{_qt5_docdir}/%{name}


%ldconfig_scriptlets


%files
%doc CONTRIBUTING.md README.md
%license COPYING.LESSER COPYING.txt
%{_qt5_libdir}/libqt5quentier.so.*
%dir %{_datadir}/libquentier
%{_datadir}/libquentier/translations


%files devel
%{_includedir}/quentier
%{_qt5_libdir}/libqt5quentier.so
%{_qt5_libdir}/cmake/Libquentier-qt5/


%files doc
%doc CONTRIBUTING.md README.md
%license COPYING.LESSER COPYING.txt
%{_qt5_docdir}/%{name}


%changelog
* Mon Mar 11 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.9.20190311git625eb28
- Bump to 625eb2864605588b4ffa0562fe8cf06b17395a6b
- Remove hunspell patch as it has been upstreamed

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-0.8.20180903gitcba4ada
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Caolán McNamara <caolanm@redhat.com> - 0.4.0-0.7.20180903gitcba4ada
- rebuild for hunspell-1.7.0

* Mon Sep 03 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.6.20180903gitcba4ada
- Bump to commit cba4adad116ad7b7b026974be72490e82885eeff

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-0.5.20180622git4e41420
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.4.20180622git4e41420
- Bump to commit 4e414201883d4ec3966f30b2e384c5182034589f

* Mon Mar 05 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.3.20180301git4ce8e3b
- Bump to commit 4ce8e3b76bd9bedd75fe8cb398ddf2a91556b59a

* Tue Feb 27 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.2.20180226git5db522e
- Bump to commit 5db522e5257001f65fdcae6bc8f49956ed264623

* Fri Feb 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-0.1.20180130git45bb65b
- Initial RPM release.
